Package pygeodesy :: Module lazily :: Class LazyAttributeError |
[frames] | no frames]

# Class LazyAttributeError

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
            exceptions.StandardError --+
                                       |
               exceptions.AttributeError --+
                                           |
                                          LazyAttributeError

Raised if a `lazily imported` attribute is missing or invalid.

Instance Methods
__init__(self, *args, **kwds) x.__init__(...) initializes x; see help(type(x)) for signature |
Inherited from `exceptions.AttributeError`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`

Method Details

### __init__ (self, *args, **kwds) (Constructor) |
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)